InvalidAttributesException (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.directory
Class InvalidAttributesException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.naming.NamingException
                        |
                        +--javax.naming.directory.InvalidAttributesException

All Implemented Interfaces:
  Serializable

public class InvalidAttributesException
extends NamingException

This exception is thrown when an attempt is made to add or modify an attribute set that has been specified incompletely or incorrectly. This could happen, for example, when attempting to add or modify a binding, or to create a new subcontext without specifying all the mandatory attributes required for creation of the object. Another situation in which this exception is thrown is by specification of incompatible attributes within the same attribute set, or attributes in conflict with that specified by the object's schema.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`InvalidAttributesException()` Constructs a new instance of InvalidAttributesException.
`InvalidAttributesException(String explanation)` Constructs a new instance of InvalidAttributesException using an explanation.

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, printStackTrace, printStackTrace, printStackTrace, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidAttributesException

    public InvalidAttributesException(String explanation)

  Constructs a new instance of InvalidAttributesException using an explanation. All other fields are set to null.

Parameters:
  `explanation` - Additional detail about this exception. Can be null.
See Also:
  `Throwable.getMessage()`

### InvalidAttributesException

    public InvalidAttributesException()

  Constructs a new instance of InvalidAttributesException. All fields are set to null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.